pdadmin-forum

pdadmin-forum » Suche » Suchergebnis » Hallo Gast [Anmelden|Registrieren]
Zeige Beiträge 1 bis 20 von 621 Treffern Seiten (32): [1] 2 3 nächste » ... letzte »
Autor Beitrag
Thema: Pagespeed aktivieren
chrischnian

Antworten: 12
Hits: 501
20.02.2018 09:44 Forum: Anwendung


Bei mir zeigt er zwar bei
code:
1:
2:
3:
$ /usr/local/pd-admin2/httpd-2.4/bin/httpd -M | grep page
pagespeed_module (shared)
$

Alles ok an.

Aber beim Link: https://ismodpagespeedworking.com/
und der Domain www.moebro.de da sagt er das er es nicht findet.
In welche Zeile sollte es in der Conf.template eingetragen werden.

EDIT: 10:33

Es geht nun es wurde der falsche Apache geladen
Thema: Pagespeed aktivieren
chrischnian

Antworten: 12
Hits: 501
19.02.2018 16:07 Forum: Anwendung


Ich will mich morgen mal wieder an das Thema machen.

Hat das jemand schon erfolgreich am laufen?

Wenn ja wie habt ihr das gemacht?
Thema: PHP Startup: apc_mmap: mmap failed:
chrischnian

Antworten: 1
Hits: 128
PHP Startup: apc_mmap: mmap failed: 28.11.2017 19:34 Forum: Anwendung


Dies ist eine vorgefertigte Schablone, die bei der Formulierung von Problemen unterstützen soll. Bitte die folgenden Angaben möglichst vollständig ausfüllen.

- Welche Version von pd-admin wird eingesetzt? v4.57
- Welche Version der Serverumgebung wird eingesetzt? 4.0300
- Welche Fehlermeldung erhalten Sie?

PHP Fatal error: PHP Startup: apc_mmap: mmap failed: in Unknown on line 0
Segmentation fault

- Wie sind die problematischen Dienste konfiguriert? Standard

Wenn ich den CronJob per Konsole als User ausführe geht alles ohne Probleme. Heute ist mir aber aufgefallen das beim aufrufen des CronJobs per so wie er eingetragen wurde on PD-Admin dann bekomme ich diese Meldung wie man oben sieht.
Thema: Debian 9 64Bit installation
chrischnian

Antworten: 6
Hits: 163
27.11.2017 23:28 Forum: Anwendung


Könnte gerade am Schreibtisch schreien großes Grinsen

Zammad mit Debian 8 oder 9 und PD-Admin SE 4 klappt nicht da MySQL 5.6 als minimum gebraucht wird.

Also SE 6 mit Debian 9 nun geht PD-Admin nicht und zeigt mir einen 500er an.

Also nochmal was anderes probieren.

Gerade nicht mein Tag Augenzwinkern
Thema: Debian 9 64Bit installation
chrischnian

Antworten: 6
Hits: 163
27.11.2017 20:26 Forum: Anwendung


habe aus Z=`./readlink $n`

nun Z=`readlink $n`

verändert
Thema: Debian 9 64Bit installation
chrischnian

Antworten: 6
Hits: 163
27.11.2017 20:20 Forum: Anwendung


Auch das Paket: libnet-sftp-sftpserver-perl

keine Besserung gleicher Fehler
Thema: Debian 9 64Bit installation
chrischnian

Antworten: 6
Hits: 163
27.11.2017 20:17 Forum: Anwendung


Nein das habe ich schon installiert!
Thema: Debian 9 64Bit installation
chrischnian

Antworten: 6
Hits: 163
Debian 9 64Bit installation 27.11.2017 19:17 Forum: Anwendung


Dies ist eine vorgefertigte Schablone, die bei der Formulierung von Problemen unterstützen soll. Bitte die folgenden Angaben möglichst vollständig ausfüllen.

- Welche Version von pd-admin wird eingesetzt? 4.57
- Welche Version der Serverumgebung wird eingesetzt? 0.300
- Welche Fehlermeldung erhalten Sie?
code:
1:
./install-all.sh: line 260: ./readlink: No such file or directory

- Wie sind die problematischen Dienste konfiguriert? noch gar nicht
- Welche Logfile-Einträge (zB. Webserver- oder Mail-Logfile) gibt es? siehe oben


Beim start der Installation unter Debian 9 kommt der oben genannte Fehler.

Die Zeile um die es geht

code:
1:
2:
3:
4:
5:
6:
7:
8:
9:
10:
11:
12:
13:
14:
15:
16:
17:
18:
mycnfdef=${BASEDIR}/etc/my.cnf
for n in /etc/my.cnf /etc/mysql/my.cnf; do
   if [ -L $n ]; then
      Z=`./readlink $n`       <= hier die Zeile
      if [ $? -ne 0 ]; then
         FAULT=1
      fi
      if [ "$Z" != "${BASEDIR}/etc/my.cnf" ]; then
         echo "$n is a symlink but does not point to $mycnfdef"
         FAULT=1
      else
         echo "(info: $n is a symlink which points to $mycnfdef)"
      fi
   elif [ -f $n ]; then
      echo "ERROR: Please rename $n!"
      FAULT=1
   fi
done
Thema: Ruby on Rails
chrischnian

Antworten: 30
Hits: 18.290
26.11.2017 22:08 Forum: Wunschecke


Ja hast recht werde ich mal machen!
Thema: Ruby on Rails
chrischnian

Antworten: 30
Hits: 18.290
26.11.2017 15:44 Forum: Wunschecke


Ok habe mal auf einen lokalen VServer es installiert.

Es lief am Schluß über den "Hauseigenen Port 3000" ohne Probleme. war noch Englisch aber OK.

Nun nach einen Neustart läuft es nicht. Es ist so wie wenn Ruby nicht mehr da ist bzw die richtige Version.

Ich habe es so aufgesetzt. Debian 8 und 64Bit!

code:
1:
2:
3:
4:
5:
6:
7:
8:
9:
10:
11:
12:
13:
14:
15:
16:
17:
18:
19:
20:
21:
22:
23:
24:
25:
26:
27:
28:
29:
30:
31:
32:
33:
34:
35:
36:
37:
38:
39:
40:
41:
42:
43:
44:
45:
46:
47:
48:
49:
50:
51:
52:
1. apt-get install g++ gcc imagemagick lib32ncurses5 lib32stdc++6 lib32z1 libc6-dev-i386 make patch psmisc rrdtool git libmysqlclient-dev mc

2. PD-Admin installieren

3. /opt/pdadmin/bin/create_reseller.pl "RESELLER X"
	LoginID: YYYY, Password: XXXX

4. Endkunden anlegen und Datenbank erstellen für Zammad

5. sudo apt-get install ruby

6. Punkt 1. von https://docs.zammad.org/en/latest/install-source.html

7. chown -R zammad.zammad /opt/zammad/

8. apt-get install rubygems build-essential

9. cd /opt/zammad

10. gem install bundler rake rails

11. cd /root/

12. Weiter unter - https://tecadmin.net/install-ruby-on-rails-on-ubuntu/#

13. cd /opt/zammad

14. gem install bundler rake rails

15. apt-get install git libmysqlclient-dev

16. bundle install --without test development postgres

17. cp config/database.yml.pkgr config/database.yml

18. database.yml anpassen

19. export RAILS_ENV=production

20. export RAILS_SERVE_STATIC_FILES=true

21. mysqld.sock verlinken

22. rake db:create

23. rake db:migrate

24. rake db:seed

25. cd /opt/zammed

26. rake assets:precompile

Ich versuche den Fehler zu finden. Vielleicht hat jemand auch interesse. Mir geht es vorallem danach das ganze über den PD-Admin Apache auszuliefern um auch LetsEncrypt und die "normalen" Ports nutzen zu können. Ich werde mal berichten.
Thema: Symlink nach neustart neu erstellen
chrischnian

Antworten: 1
Hits: 105
Symlink nach neustart neu erstellen 23.11.2017 22:55 Forum: Anwendung


Ich habe 2 Skripte die nach /var/run/mysqld/mysqld.sock linken.

Daher setze ich einen Link von der SE in das Verzeichnis

Nach einen Neustart sind diese Links immer weg.

Wie kann ich die automatisch wieder setzen lassen. Oder kann ich die zb in die my.cnf mit eintragen?
Thema: Ruby on Rails
chrischnian

Antworten: 30
Hits: 18.290
23.11.2017 08:58 Forum: Wunschecke


Wie zufrieden warst du generell mit Zammad?

OTRS ist mir zu fett und hat keinen Chat. Derzeit haben wir LiveZilla aber müssten nun mehr Lizenzen kaufen und es sind ein paar Sachen dabei die mir nicht so gut gefallen.

Ich habe es gestern mal auf einen PD-Admin Server laufen gehabt. NGINX lief und auch die Zammad Dienste.

Nur das Frontend lief noch nicht.
Thema: Ruby on Rails
chrischnian

Antworten: 30
Hits: 18.290
22.11.2017 21:59 Forum: Wunschecke


Ich möchte mal Zammad testen.

Es wird aber Ruby gewünscht, wie schwer oder leicht ist die Parallele Installation davon?
Thema: Ruby on Rails
chrischnian

Antworten: 30
Hits: 18.290
12.09.2017 10:01 Forum: Wunschecke


Wie schaut es aus?

Wer hat es schon erfolgreich am laufen?
Thema: Lets Encrypt macht Probleme
chrischnian

Antworten: 20
Hits: 780
11.08.2017 20:31 Forum: Anwendung


Ups sorry überlesen
Thema: Lets Encrypt
chrischnian

Antworten: 1
Hits: 309
26.07.2017 14:48 Forum: Anwendung


Ok bei Serverkonfiguartion den hacken vergessen.
Thema: Lets Encrypt
chrischnian

Antworten: 1
Hits: 309
Lets Encrypt 26.07.2017 13:10 Forum: Anwendung


Dies ist eine vorgefertigte Schablone, die bei der Formulierung von Problemen unterstützen soll. Bitte die folgenden Angaben möglichst vollständig ausfüllen.

- Welche Version von pd-admin wird eingesetzt? v4.56
- Welche Version der Serverumgebung wird eingesetzt? 4-0.294
- Welche Fehlermeldung erhalten Sie?

/opt/pdadmin/bin/letsencrypt www.teamsportshop24.de
###############################
/opt/pdadmin/etc/ssl-validation/ -d www.teamsportshop24.de -d teamsportshop24.de
###############################

Saving debug log to /var/log/letsencrypt/letsencrypt.log
Cert is due for renewal, auto-renewing...
Renewing an existing certificate
Performing the following challenges:
http-01 challenge for www.teamsportshop24.de
http-01 challenge for teamsportshop24.de
Using the webroot path /opt/pdadmin/etc/ssl-validation for all unmatched domains.
Waiting for verification...
Cleaning up challenges
Failed authorization procedure. www.teamsportshop24.de (http-01): urn:acme:error:unauthorized :: The client lacks sufficient authorization :: Invalid response from http://www.teamsportshop24.de/.well-know...dFO_wanJ9p8KOI: "<!DOCTYPE html>
<html lang="de">
<head>
<meta http-equiv="content-type" content="text/html; charset=windows-1252">
<meta name="d", teamsportshop24.de (http-01): urn:acme:error:unauthorized :: The client lacks sufficient authorization :: Invalid response from http://teamsportshop24.de/.well-known/ac...E7qB9zAWiC2VLU: "<!DOCTYPE html>
<html lang="de">
<head>
<meta http-equiv="content-type" content="text/html; charset=windows-1252">
<meta name="d"

IMPORTANT NOTES:
- The following errors were reported by the server:

Domain: www.teamsportshop24.de
Type: unauthorized
Detail: Invalid response from
http://www.teamsportshop24.de/.well-know...dFO_wanJ9p8KOI:
"<!DOCTYPE html>
<html lang="de">
<head>
<meta http-equiv="content-type" content="text/html;
charset=windows-1252">
<meta name="d"

Domain: teamsportshop24.de
Type: unauthorized
Detail: Invalid response from
http://teamsportshop24.de/.well-known/ac...E7qB9zAWiC2VLU:
"<!DOCTYPE html>
<html lang="de">
<head>
<meta http-equiv="content-type" content="text/html;
charset=windows-1252">
<meta name="d"

To fix these errors, please make sure that your domain name was
entered correctly and the DNS A/AAAA record(s) for that domain
contain(s) the right IP address.
certbot-auto failedWriting /usr/local/pd-admin2/conf/httpd.conf
Writing /usr/local/pd-admin2/httpd-2.4/conf/httpd.conf
webserver = <AP24>
Apache 24 is already selected


Was kann man machen?

Auch mit 2.2 bekomme ich den Fehler
Thema: Lets Encrypt nochmal komplett erneuern
chrischnian

Antworten: 2
Hits: 221
02.07.2017 21:00 Forum: Anwendung


Irgendwas passt bei mir nicht.
Das hilft auch nicht.

Ich bekomme bei einer neu angelegten Domain wo ich letsencrypt aktiviert habe immer die Meldung:
code:
1:
2:
3:
Diese Verbindung ist nicht sicher

Der Inhaber von xx.yy.de hat die Website nicht richtig konfiguriert. Firefox hat keine Verbindung mit dieser Website aufgebaut, um Ihre Informationen vor Diebstahl zu schützen.

Wenn ich das bestätige komme ich auf eine Seite die auf den Server zwar liegt aber nichts mit der domain gemein hat.
Thema: Lets Encrypt nochmal komplett erneuern
chrischnian

Antworten: 2
Hits: 221
Lets Encrypt nochmal komplett erneuern 02.07.2017 00:00 Forum: Anwendung


Dies ist eine vorgefertigte Schablone, die bei der Formulierung von Problemen unterstützen soll. Bitte die folgenden Angaben möglichst vollständig ausfüllen.

- Welche Version von pd-admin wird eingesetzt? 4.55
- Welche Version der Serverumgebung wird eingesetzt? 0.293
- Welche Fehlermeldung erhalten Sie?

Bei Seiten mit letsencrypt Zertifikat kommt

Nicht gesicherte Verbindung sowohl beim 2.2 als auch beim 2.4

Wenn ich die Meldung bestätige komme ich auf eine ganz andere Domain mit richtig laufenden SSL mit Letsencrypt auf den Server

- Wie sind die problematischen Dienste konfiguriert?

Standard

Meine Frage wie kann ich "ALLE oder die betroffenen Domains nochmal komplett neu erstellen lassen bzw bei LetsEncrypt zertifizieren?
Thema: CronJobs Limits
chrischnian

Antworten: 5
Hits: 215
23.06.2017 09:36 Forum: Anwendung


Das hört sich super an Herr Bradler

danke
Zeige Beiträge 1 bis 20 von 621 Treffern Seiten (32): [1] 2 3 nächste » ... letzte »

Impressum | Team | Hilfe

Forensoftware: Burning Board, entwickelt von WoltLab GmbH    |    Design entwickelt von You-Online.de